org.eclipse.microprofile.graphql.tck.dynamic

## Class SchemaDynamicValidityTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.graphql.tck.dynamic.SchemaDynamicValidityTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class SchemaDynamicValidityTest
    extends org.jboss.arquillian.testng.Arquillian

Tests that the schema is available at graphql/schema.graphql and that it contains the proper content.

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`SchemaDynamicValidityTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `getDeployment()`
`void` `testPartsOfSchema(TestData input)`
`void` `testResponse()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaDynamicValidityTest

    public SchemaDynamicValidityTest()

### Method Detail

#### getDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> getDeployment()
                                                                         throws Exception

Throws:
  `Exception`

#### testResponse

    @RunAsClient
    public void testResponse()
                                   throws IOException

Throws:
  `IOException`

#### testPartsOfSchema

    @RunAsClient
    public void testPartsOfSchema(TestData input)